import 'dart:async';

import 'package:flutter/services.dart';

class Plugincpuinfo {
  static const MethodChannel _channel = MethodChannel('plugincpuinfo');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> get physicalMemory async {
    final String? version = await _channel.invokeMethod('getMemorySpace');
    return version;
  }

  static Future<String?> get cpuUsage async {
    final String? version = await _channel.invokeMethod('getCPUUsage');
    return version;
  }
}
